Page MenuHomePhabricator

LoginNotify should inform users of failed login attempts in the language of their home wiki
Closed, DeclinedPublic

Description

If your home wiki is the English Wikipedia, when someone fails to log in to a different-language Wikipedia as you, then you should get a notification in English. If your home wiki is the Spanish Wikipedia, when someone fails to log in to the English Wikipedia as you, then you should get a notification in Spanish. And so on.

Event Timeline

Scott created this task.Apr 20 2018, 10:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2018, 10:19 AM
MaxSem closed this task as Declined.Apr 20 2018, 6:30 PM
MaxSem added a subscriber: MaxSem.

The rule is that all interface is presented in the language the user chose in their preferences or wiki's default language if no choice have been made. We don't violate this rule with other cross-wiki notifications and I don't see why we should do this with LoginNotify.

Scott added a comment.EditedApr 20 2018, 11:43 PM

So you think that a security notification should potentially be sent to users in a language that they don't understand - possibly even in an alphabet that they can't read. That makes no sense whatsoever. If one user throws the message in the trash without reading it because they can't, then it has failed to do its job.

@Scott: The user is free to choose a language in their preferences. What would be your proposal to identify the 'best' language for a user?

Scott added a comment.Apr 21 2018, 1:11 PM

To clarify here: their preferences where? On their home wiki? Or the one they've never used, where a security alert has been generated?

If they've set a language preference somewhere (I presume usually on their home wiki) then that should be respected; otherwise a reasonable fallback would be to the language of their home wiki, not the originating wiki of the notification. It may be that most notifications aren't deemed important enough for this treatment, but in this specific case we're talking about a security notification. If someone tries using your credentials then it's important that that message gets to you as clearly as possible, especially if your account has elevated privileges.

@Scott Hello. To clarify on Max's comment, if you're on English wikipedia project and your chosen language is Spanish and the attempt is made in Russian wikipedia, you get the notification in Spanish. Does that make sense? This holds true for all notifications. You can try it out by going to a wiki and changing the default language to see your notifications.
There is no concept of "home wiki" if you think about it. People switch between projects all the time. The software does not attach users to a specific wiki.

Scott added a comment.Apr 23 2018, 7:05 PM

Hi @Niharika, I edit the English Wikipedia, and my language setting is English. I got a security notification from the Spanish Wikipedia, in Spanish.

Intento fallido de acceso a Wikipedia como Scott
Hubo un intento fallido de acceder a tu cuenta desde un dispositivo nuevo. Asegúrate de que tu cuenta posea una contraseña segura.
[Ayuda] Cambiar contraseña

If what you describe is supposed to be the case, then something is going wrong.

Historically, "home wiki" has been used to refer to whatever wiki you registered your account at.

This should be resolved when we roll out GlobalPreferences - you will be able to set a global interface language.